Bug 1274673 - "Eror during 'Provisioning': undefined method `match' for 2:Fixnum" during heat stack deployment
"Eror during 'Provisioning': undefined method `match' for 2:Fixnum" during he...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Bill Wei
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 06:28 EDT by Aziza Karol
Modified: 2015-12-08 08:39 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-10-23 06:28:56 EDT
Created attachment 1085790 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.7

How reproducible:
100%

Steps to Reproduce:
1.create a catalog item to deploy heat stack for openstack provider
2.order the  service


Actual results:
"Eror during 'Provisioning': undefined method `match' for 2:Fixnum" displayed in UI. see attached screenshot.

Expected results:
should be able to provision

Additional info:
Comment 3 Bill Wei 2015-10-26 15:36:49 EDT
The timeout textfield is numeric type which does not and cannot have regular expression validator. The regular expression validator is removed by the following PR.

https://github.com/ManageIQ/manageiq/pull/5127

Any new service dialog created from an orchestration template using our automatic tool should no longer have this problem after this fix.

To fix the problem for an existing dialog, one should go to Automate/Customization/Dialog and manually edit the dialog: 
1. Identify the dialog to be edited.
2. Select Timeout textfield
3. Change Validator Type to None
4. Clear Validate Rule
5. Save
Comment 4 CFME Bot 2015-10-26 20:25:58 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/5d3ca6b522cf688c2a65a4af994a5da9b3ead781

commit 5d3ca6b522cf688c2a65a4af994a5da9b3ead781
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Mon Oct 26 15:16:28 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Mon Oct 26 15:27:18 2015 -0400

    Remove regex validator for timeout text field
    
    Timeout text field is integer type that does not need a regex validator
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274673

 app/services/orchestration_template_dialog_service.rb       | 2 --
 spec/services/orchestration_template_dialog_service_spec.rb | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)
Comment 5 Aziza Karol 2015-11-04 01:25:17 EST
Heat stack deployment successful.

Verified:
5.5.0.9-beta2.20151102161742_5530c9a
Comment 7 errata-xmlrpc 2015-12-08 08:39:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.